# Affichage de l'automate dans le terminal ou enregistrement dans une image PGM.
# Pour enregistrer l'automate cellulaire dans une image, la valeur doit
# correspondre à "YES". Si vous souhaitez seulement afficher le résultat dans la
# console, la valeur doit être "NO".
ENREGISTREMENT = NO
# Le nombre d'états possible pour une cellule (minimum 2)
NOMBRE_ETATS = 2
# Numéro de la règle
# S'il y a 2 états, alors la règle sera écrite en binaire sous la forme d'un octet
# Sinon, la règle sera écrite avec (nombre_etats - 1) * 3 + 1 chiffres tels que
# chaque chiffre est compris entre 0 et nombre_etats - 1.
REGLE = 01101110
# La hauteur de l'automate ou nombre d'itérations
HAUTEUR = 16
# La largeur de l'automate
LARGEUR = 32
# Le symbole des cellules doit être un caractère imprimable de taille 1
# (ex: X, 1, #, ...). Cette représentation des cellules est valable dans le seul
# cas où l'automate est affiché dans la console. La valeur de ENREGISTREMENT
# doit donc être à "NO".
CELLULE_SYMBOLE = X
# L'emplacement des cellules initiales doit être une suite d'entier positif et
# sans espace. Toutes valeurs strictement supérieur à zéro représente une
# cellule. A l'inverse, la valeur "0" représente un vide dans l'affichage.
# Une initialisation aléatoire peut être faite en donnant la valeur "ALEATOIRE"
EMPLACEMENT_INITIAL = 00000000000000000100000000000000
# Le nombre magique correspond aux différent formats d'images portable, ainsi
# qu'au mode d'enregistrement du fichier (ASCII ou binaire). L'automate ne gère
# que les images PGM en Binaire, donc "P5". Pour utiliser le nombre magique,
# ENREGISTREMENT doit être à "YES"
NOMBRE_MAGIQUE = P5
